Skip to content

Create communication

Request

Creates a new Communication record. Communication resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
associatedResourceIdstringrequired

Identifier of the resource this communication is associated with.

Example:"123e4567-e89b-12d3-a456-426614174000"
associatedResourceTypestringrequired

Type of resource this communication is associated with (e.g. Contact, Animal, Consult).

Example:"example"
communicatingResourceIdstring

Identifier of the communicating party when different from associatedResourceId.

Example:"123e4567-e89b-12d3-a456-426614174000"
communicatingResourceTypestring

Type of the communicating party (e.g. Contact, Animal) when different from associatedResourceType.

Example:"example"
communicationIdstring

Canonical identifier for the communication.

Example:"123e4567-e89b-12d3-a456-426614174000"
contactDetailTypeIdstringrequired

Identifier of the ContactDetailType used to send the communication.

Example:"123e4567-e89b-12d3-a456-426614174000"
contentstringrequired

Body/content of the communication.

Example:"example"
contentFormatstringrequired

Format of the communication content.

Enum:"SMS""PLAINTEXT""HTML"
Example:"SMS"
destinationstringrequired

Destination address/identifier for the communication, format defined by contactDetailTypeId.

Example:"123e4567-e89b-12d3-a456-426614174000"
directionstringrequired

Direction of the communication relative to the practice.

Enum:"OUTGOING""INCOMING"
Example:"OUTGOING"
extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether the communication record is active.

Example:true
originstring

Origin address/identifier for the communication, if available.

Example:"123e4567-e89b-12d3-a456-426614174000"
readAtstring or null

When the communication was marked as read, if applicable.

Example:"2025-01-01T00:00:00.000Z"
sentAsUserobject

User on whose behalf the communication was sent.

statusstringrequired

Delivery or processing status of the communication.

Enum:"PENDING""DONE""SENDING""FAILED"
Example:"PENDING"
subjectstring

Subject or title of the communication.

Example:"example"
templateobject

Template used to generate this communication, if any.

curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/communication' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "associatedResourceId": "123e4567-e89b-12d3-a456-426614174000",
    "associatedResourceType": "example",
    "communicatingResourceId": "123e4567-e89b-12d3-a456-426614174000",
    "communicatingResourceType": "example",
    "communicationId": "123e4567-e89b-12d3-a456-426614174000",
    "contactDetailTypeId": "123e4567-e89b-12d3-a456-426614174000",
    "content": "example",
    "contentFormat": "SMS",
    "destination": "123e4567-e89b-12d3-a456-426614174000",
    "direction": "OUTGOING",
    "extensions": {},
    "isActive": true,
    "origin": "123e4567-e89b-12d3-a456-426614174000",
    "readAt": "2025-01-01T00:00:00.000Z",
    "sentAsUser": {},
    "status": "PENDING",
    "subject": "example",
    "template": {}
  }'

Responses

Communication created successfully

Bodyapplication/json
associatedResourceIdstringrequired

Identifier of the resource this communication is associated with.

Example:"123e4567-e89b-12d3-a456-426614174000"
associatedResourceTypestringrequired

Type of resource this communication is associated with (e.g. Contact, Animal, Consult).

Example:"example"
communicatingResourceIdstringrequired

Identifier of the communicating party when different from associatedResourceId.

Example:"123e4567-e89b-12d3-a456-426614174000"
communicatingResourceTypestringrequired

Type of the communicating party (e.g. Contact, Animal) when different from associatedResourceType.

Example:"example"
communicationIdstringrequired

Canonical identifier for the communication.

Example:"123e4567-e89b-12d3-a456-426614174000"
contactDetailTypeIdstringrequired

Identifier of the ContactDetailType used to send the communication.

Example:"123e4567-e89b-12d3-a456-426614174000"
contentstringrequired

Body/content of the communication.

Example:"example"
contentFormatstringrequired

Format of the communication content.

Enum:"SMS""PLAINTEXT""HTML"
Example:"SMS"
createdAtstring, (date-time)required

When the communication record was created.

Example:"2025-01-01T00:00:00.000Z"
destinationstringrequired

Destination address/identifier for the communication, format defined by contactDetailTypeId.

Example:"123e4567-e89b-12d3-a456-426614174000"
directionstringrequired

Direction of the communication relative to the practice.

Enum:"OUTGOING""INCOMING"
Example:"OUTGOING"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether the communication record is active.

Example:true
originstringrequired

Origin address/identifier for the communication, if available.

Example:"123e4567-e89b-12d3-a456-426614174000"
readAtstring or null, (date-time)required

When the communication was marked as read, if applicable.

Example:"2025-01-01T00:00:00.000Z"
sentAsUserobjectrequired

User on whose behalf the communication was sent.

statusstringrequired

Delivery or processing status of the communication.

Enum:"PENDING""DONE""SENDING""FAILED"
Example:"PENDING"
subjectstringrequired

Subject or title of the communication.

Example:"example"
templateobjectrequired

Template used to generate this communication, if any.

updatedAtstring, (date-time)required

When the communication record was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "associatedResourceId": "123e4567-e89b-12d3-a456-426614174000", "associatedResourceType": "example", "communicatingResourceId": "123e4567-e89b-12d3-a456-426614174000", "communicatingResourceType": "example", "communicationId": "123e4567-e89b-12d3-a456-426614174000", "contactDetailTypeId": "123e4567-e89b-12d3-a456-426614174000", "content": "example", "contentFormat": "SMS", "createdAt": "2025-01-01T00:00:00.000Z", "destination": "123e4567-e89b-12d3-a456-426614174000", "direction": "OUTGOING", "extensions": {}, "isActive": true, "origin": "123e4567-e89b-12d3-a456-426614174000", "readAt": "2025-01-01T00:00:00.000Z", "sentAsUser": {}, "status": "PENDING", "subject": "example", "template": {}, "updatedAt": "2025-01-01T00:00:00.000Z" }